Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021379
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2012-08-18 18:332012-08-30 13:05
ReporterpjuvaraView Statuspublic 
Assigned Tovmromanos 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision6431b810b73f
ProjectionnoneETAnoneTarget Version3.0MP15
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP12.1SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0021379: Business partner selector on G/L journal lines should not restrict to customers only

DescriptionOn a G/L Journal line you can specify a business partner as a dimension.

Since this is a manual accounting entry, typically done to create an adjustment, it is not legitimate to restrict which business partners are selected.

There are many cases where a supplier or an employee (which are not customers) can be used as references in a manual G/L journal
Steps To ReproduceCreate manual G/L Journal batch, header and line.

On line, try to pick a business partner that has customer flag unchecked.
Proposed SolutionAllow all business partners
TagsCoworking
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0051378)
vmromanos (developer)
2012-08-20 14:01

Test plan I:
1. Go to G/L Journal window
2. Create a new batch, header and line
3. Inside the line tab, open the business partner selector and ensure all the business partners are displayed, i.e., no default filter is set for neither Customer nor Vendor columns.

Test plan II:
1. Go to the Purchase Invoice window (example of purchase window) and create a new record
2. Open the business partner selector.
3. Ensure the Vendor flag is set to Yes by default
4. Ensure the Customer flag is set to No by default

Test plan III:
1. Go to the Sales Invoice window (example of sales window) and create a new record
2. Open the business partner selector.
3. Ensure the Customer flag is set to Yes by default
4. Ensure the Vendor flag is set to No by default
(0051417)
hgbot (developer)
2012-08-21 09:52

Repository: erp/devel/pi
Changeset: 6431b810b73f95aa96d012bd08d19a289a9705a2
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Aug 21 09:50:36 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6431b810b73f95aa96d012bd08d19a289a9705a2 [^]

Fixed bug 21379: Business partner selector on G/L journal lines

The G/L journal window is now declared as Sales Transaction='N'
Inside the Business Partner selector, the vendor default expression
takes into account the special scenario for the G/L Journal window

---
M src-db/database/sourcedata/AD_WINDOW.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR_FIELD.xml
---
(0051680)
Sandrahuguet (developer)
2012-08-30 13:05

Code review + testing OK

- Issue History
Date Modified Username Field Change
2012-08-18 18:33 pjuvara New Issue
2012-08-18 18:33 pjuvara Assigned To => mirurita
2012-08-18 18:33 pjuvara Modules => Core
2012-08-18 18:33 pjuvara Tag Attached: cow
2012-08-18 18:33 pjuvara Tag Detached: cow
2012-08-18 18:33 pjuvara Tag Attached: Coworking
2012-08-20 11:35 jonalegriaesarte Assigned To mirurita => ioritzCia
2012-08-20 11:35 jonalegriaesarte Target Version => 3.0MP15
2012-08-20 13:12 vmromanos Status new => scheduled
2012-08-20 13:12 vmromanos Assigned To ioritzCia => vmromanos
2012-08-20 13:12 vmromanos fix_in_branch => pi
2012-08-20 14:01 vmromanos Note Added: 0051378
2012-08-21 09:52 hgbot Checkin
2012-08-21 09:52 hgbot Note Added: 0051417
2012-08-21 09:52 hgbot Status scheduled => resolved
2012-08-21 09:52 hgbot Resolution open => fixed
2012-08-21 09:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6431b810b73f95aa96d012bd08d19a289a9705a2 [^]
2012-08-30 13:05 Sandrahuguet Note Added: 0051680
2012-08-30 13:05 Sandrahuguet Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker